function adjustPosition(module, direction){
	switch(module.name()){
		case "Module1N":
			if(direction == "S"){
				module.y(module.y()-9);
			}
			if(direction == "N"){
				module.y(module.y()-module.height()+9);
			}
		break;

		case "Module1S":
			if(direction == "N"){
				module.y(module.y()-module.height()+10);
			}
			if(direction == "S"){

			}
		break;

		case "Module1W":
			if(direction == "W"){
				module.x(module.x()-module.width()+10);
			}

		break;

		case "Module1E":
			if(direction == "W"){
				module.x(module.x()-module.width());
			}

			if(direction == "E"){
				module.x(module.x()-10);
			}
		break;


		/*########### MODULE 2 ############*/
		case "Module2N":
			if(direction == "S"){
				//module.y(module.y());
				module.x(module.x() + 9);
			}
			if(direction == "N"){
				module.y(module.y()-module.height()+10);
				module.x(module.x()+10);
			}
		break;

		case "Module2W":
			if(direction == "W"){
				module.y(module.y()+8);
				module.x(module.x()-module.width());
			}
			if(direction == "E"){
				module.y(module.y()+8);
				module.x(module.x());
			}
		break;


		/*########### MODULE 3 ############*/
		case "Module3N":
			if(direction == "E"){
				module.y(module.y());
				module.x(module.x()-15);
			}

			if(direction == "N"){
				module.y(module.y()-module.height()+14);
				module.x(module.x()-32);
			}

		break;

		case "Module3W":
			if(direction == "W"){
				// module.y(module.y()-34);
// 				module.x(module.x()-4);
			}
			if(direction == "E"){
				module.y(module.y()-32);
				module.x(module.x()-15);
			}

			if(direction == "S"){
				module.y(module.y()-15);
				module.x(module.x()-34);
			}
		break;

		case "Module3E":
			if(direction == "W"){
				module.y(module.y());
				module.x(module.x()-module.width()+15);
			}
			if(direction == "E"){
				module.y(module.y());
				module.x(module.x());
			}
			if(direction == "N"){
				module.y(module.y()-module.height()+15);
				module.x(module.x());
			}
		break;

		case "Module3S":
			if(direction == "S"){
				module.x(module.x());
				module.y(module.y()-15);
			}
			if(direction == "W"){
				module.y(module.y()-33);
				module.x(module.x()-module.width()+14);
			}

		break;

		/*########### MODULE 4 ############*/
		case "Module4N":
			if(direction == "N"){
				module.y(module.y()-module.height()+14);
			}
			if(direction == "S"){

			}
		break;

		case "Module4S":
			if(direction == "S"){
				module.y(module.y()-14);
				module.x(module.x()-2);
			}

		break;

		case "Module4W":
			if(direction == "W"){
				module.y(module.y()-2);
				module.x(module.x()-module.width()+14);
			}
			if(direction == "E"){

			}

			if(direction == "S"){

			}

		break;

		case "Module4E":

			if(direction == "W"){

			}
			if(direction == "E"){
				module.y(module.y());
				module.x(module.x()-14);
			}
		break;

		/*########### MODULE 4v2 ############*/

		case "Module4v2N":
			if(direction == "N"){
				module.y(module.y()-module.height()+14);
			}
			if(direction == "S"){

			}
			break;

		case "Module4v2S":
			if(direction == "S"){
				module.y(module.y()-14);
				module.x(module.x()-2);
			}

			break;

		case "Module4v2W":
			if(direction == "W"){
				module.y(module.y()-2);
				module.x(module.x()-module.width()+14);
			}
			if(direction == "E"){

			}

			if(direction == "S"){

			}

			break;

		case "Module4v2E":

			if(direction == "W"){

			}
			if(direction == "E"){
				module.y(module.y());
				module.x(module.x()-14);
			}
			break;

		/*########### MODULE 5 ############*/
		case "Module5N":
			if(direction == "N"){
				module.y(module.y()-module.height()+2);
				module.x(module.x());
			}

			if(direction == "S"){
				module.y(module.y()-2);
				module.x(module.x());
			}
		break;

		case "Module5W":
			if(direction == "W"){
				module.y(module.y());
				module.x(module.x()-module.width()+3);
			}

			if(direction == "E"){
				module.y(module.y());
				module.x(module.x()-2);
			}
		break;

		/*########### MODULE 6 ############*/
		case "Module6N":
			if(direction == "S"){
				module.y(module.y());
				module.x(module.x() + 12);
			}
			if(direction == "N"){
				//module.y(module.y()-module.height()+10);
 				//module.x(module.x()+10);
			}
		break;

		case "Module6S":
			if(direction == "S"){
				//module.y(module.y());
				module.x(module.x());
			}
			if(direction == "N"){
				module.y(module.y()-27);
				module.x(module.x()+10);
			}
		break;

		case "Module6W":
			if(direction == "W"){
				module.y(module.y()+12);
				module.x(module.x()-module.width());
			}
			if(direction == "E"){
				module.y(module.y()+7);
				module.x(module.x());
			}
		break;

		case "Module6E":
			if(direction == "W"){
				module.y(module.y()+8);
				module.x(module.x()-module.width());
			}
			if(direction == "E"){
				module.y(module.y()+12);
				module.x(module.x());
			}
		break;


		/*########### MODULE 7 ############*/
		case "Module7N":
			if(direction == "S"){
				//module.y(module.y());
				module.x(module.x() + 9);
			}
			if(direction == "N"){
				module.y(module.y()-module.height()+10);
				module.x(module.x()+10);
			}
		break;

		case "Module7W":
			if(direction == "W"){
				module.y(module.y()+8);
				module.x(module.x()-module.width());
			}
			if(direction == "E"){
				module.y(module.y()+8);
				module.x(module.x());
			}
		break;

		/*########### MODULE 7B ############*/

		case "Module7BN":
			if(direction == "S"){
				module.y(module.y()-9);
			}
			if(direction == "N"){
				module.y(module.y()-module.height()+9);
			}
			break;

		case "Module7BS":
			if(direction == "N"){
				module.y(module.y()-module.height()+10);
			}
			if(direction == "S"){

			}
			break;

		case "Module7BW":
			if(direction == "W"){
				module.x(module.x()-module.width()+10);
			}

			break;

		case "Module7BE":
			if(direction == "W"){
				module.x(module.x()-module.width());
			}

			if(direction == "E"){
				module.x(module.x()-10);
			}
			break;

		/*########### MODULE 8 ############*/
		case "Module8N":
			if(direction == "N"){
				module.y(module.y()-module.height()+10);
				module.x(module.x()-60);
			}

			if(direction == "E"){
				module.y(module.y());
				module.x(module.x()-10);
			}
		break;

		case "Module8S":
			if(direction == "N"){
				module.x(module.x());
				module.y(module.y()-15);
			}
			if(direction == "S"){
				module.x(module.x());
				module.y(module.y()-10);
			}
			if(direction == "W"){
				module.y(module.y()-60);
				module.x(module.x()-module.width()+10);
			}

		break;

		case "Module8W":
			if(direction == "W"){
				module.y(module.y()-34);
				module.x(module.x()-4);
			}
			if(direction == "E"){
				module.y(module.y()-60);
				module.x(module.x()-12);
			}

			if(direction == "S"){
				module.y(module.y()-10);
				module.x(module.x()-60);
			}
		break;

		case "Module8E":
			if(direction == "W"){
				module.y(module.y());
				module.x(module.x()-module.width()+12);
			}
			if(direction == "E"){
				module.y(module.y());
				module.x(module.x());
			}
			if(direction == "N"){
				module.y(module.y()-module.height()+10);
				module.x(module.x());
			}
		break;


		/*########### MODULE 9 ############*/

		case "Module9N":
			if(direction == "N"){
				module.y(module.y()-module.height()+15);
				module.x(module.x());
			}

			if(direction == "S"){
				module.y(module.y()-15);
				module.x(module.x());
			}
		break;

		case "Module9S":
			if(direction == "N"){
				module.y(module.y()-module.height()+15);
				module.x(module.x()-30);
			}
			if(direction == "S"){
				module.y(module.y()-15);
				module.x(module.x()-30);
			}

		break;

		case "Module9W":
			if(direction == "W"){
				module.y(module.y()-1);
				module.x(module.x()-module.width()+15);
			}
			if(direction == "E"){
				module.x(module.x()-15);
			}
		break;

		case "Module9E":
			if(direction == "W"){
				module.y(module.y()-32);
				module.x(module.x()-module.width()+15);
			}
			if(direction == "E"){
				module.y(module.y()-30);
				module.x(module.x()-15);
			}
		break;

		/*########### MODULE 10 ############*/

		case "Module10N":
			if(direction == "N"){
				module.y(module.y()-module.height()+18);
				module.x(module.x());
			}

			if(direction == "S"){
				module.y(module.y()-18);
				module.x(module.x());
			}
		break;

		case "Module10S":
			if(direction == "N"){
				module.y(module.y()-module.height()+19);
				module.x(module.x()-56);
			}
			if(direction == "S"){
				module.y(module.y()-19);
				module.x(module.x()-56);
			}

		break;

		case "Module10W":
			if(direction == "W"){
				module.y(module.y()-5);
				module.x(module.x()-module.width()+18);
			}
			if(direction == "E"){
				module.x(module.x()-18);
				module.y(module.y()-5);
			}
		break;

		case "Module10E":
			if(direction == "W"){
				module.y(module.y()-53);
				module.x(module.x()-module.width()+18);
			}
			if(direction == "E"){
				module.y(module.y()-53);
				module.x(module.x()-18);
			}
		break;
	}
}

